Skip to main content
GET
/
api
/
v2
/
products
/
{id}
Show product
curl --request GET \
  --url https://rcur.app/api/v2/products/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "prod_abc123",
  "name": "Premium Plan",
  "type": "subscription",
  "amount": "29.99",
  "currency": "EUR",
  "interval": "month",
  "times": 12,
  "wc_product_id": 1234
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Product details

id
string
required
Example:

"prod_abc123"

name
string
required
Example:

"Premium Plan"

type
enum<string>
required
Available options:
once,subscription,shipping_costs
Example:

"subscription"

amount
string
required
Example:

"29.99"

currency
string
required
Example:

"EUR"

interval
string | null
Example:

"month"

times
integer | null
Example:

12

wc_product_id
integer | null
Example:

1234